using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Authorization;

using watcher_monitoring.Data;

namespace watcher_monitoring.Controllers;

[Authorize]
[Route("[controller]")]
public class MonitoringController : Controller
{
    private readonly WatcherDbContext _context;

    private readonly ILogger<MonitoringController> _logger;

    public MonitoringController(WatcherDbContext context, ILogger<MonitoringController> logger)
    {
        _context = context;
        _logger = logger;
    }

    [HttpGet("container")]
    public async Task<IActionResult> ContainerIndex()
    {
        return View();
    }

    [HttpGet("server")]
    public async Task <IActionResult> ServerIndex()
    {
        return View();
    }

}